
Redmine - Defect #6309

missing "not_a_valid_parent" from all the locale files?

2010-09-06 09:58 - Tiffany C

Status: Closed Start date: 2010-09-06

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Translations Estimated time: 0.00 hour

Target version:    

Resolution:  Affected version: 1.1.3

Description

I wonder if "not_a_valid_parent" is missing from all the locale files or not because the following error message showed up.

"Parent task translation missing: en, activerecord, errors, models, issue, attributes, parent_issue_id, not_a_valid_parent"

This error came up when I made the following operation.

1. Suppose I have this kind of subtask tickets

130:  parent

131: child

132: grandchild

2. When I changed 131's parent task from 130 to 132, the above error message appeared.

Thanks.

Related issues:

Related to Redmine - Defect #6579: Tree hierachy being currupted on multiple ... Closed 2010-10-05

Has duplicate Redmine - Defect #8430: Missing translation "not_a_valid_parent" Closed 2011-05-24

Has duplicate Redmine - Defect #8679: Translation error message when linking ... Closed 2011-06-24

History

#1 - 2010-09-06 11:42 - Azamat Hackimov

- Category set to Translations

- Assignee set to Azamat Hackimov

Yes, I hitted to this bug too. But it seems there must be "Circular dependency" exeption from here source:trunk/app/models/issue_relation.rb#L50. I'll

check it later.

#2 - 2011-05-03 01:13 - David Martínez Moreno

Azamat, any update?  This is hitting me as well, Redmine 1.1.2.

#3 - 2011-05-24 15:07 - Etienne Massip

- Target version set to Candidate for next minor release

- Affected version (unused) changed from 1.0.1 to 1.1.3

- Affected version changed from 1.0.1 to 1.1.3

Actually, it can be reproduced very easily by trying to set an issue as parent of itself.

#4 - 2012-02-29 21:21 - Cassiano Monteiro

Actually, the key not_a_valid_parent is missing on the en.yml file (or other localization files).

#5 - 2014-02-25 03:25 - Toshi MARUYAMA

- Related to Defect #6579: Tree hierachy being currupted on multiple submissions of an issue added
https://www.redmine.org/projects/redmine/repository/svn/entry/trunk/app/models/issue_relation.rb#L50


#6 - 2014-02-25 03:29 - Toshi MARUYAMA

- Related to deleted (Defect #6143: Subtask creation form submission race?)

#7 - 2014-03-19 11:20 - Toshi MARUYAMA

- Assignee deleted (Azamat Hackimov)

#8 - 2014-03-19 11:22 - Toshi MARUYAMA

- Status changed from New to Closed

r10587:

@@ -559,7 +560,7 @@

         elsif move_possible?(@parent_issue)

           # move accepted inside tree

         else

-          errors.add :parent_issue_id, :not_a_valid_parent

+          errors.add :parent_issue_id, :invalid

         end

       end

     end

#9 - 2014-03-19 11:22 - Toshi MARUYAMA

- Target version deleted (Candidate for next minor release)

Powered by TCPDF (www.tcpdf.org)

2025-07-06 2/2

https://www.redmine.org/projects/redmine/repository/svn/revisions/10587
http://www.tcpdf.org

